Search Applications

The Search Applications API can be used to search for existing applications.

Caution

The Search API provides guarantees of eventual consistency and under normal operating conditions, data propagation takes seconds. For read-after-write workflows requiring strict consistency, use the "List Applications" method instead.

Query Params
number
1 to 100
Defaults to 20

Number of entities to return. Used for pagination implementation. If no value is provided used default 20. Max 100.

number
≥ 0

Number entities to skip. Useful for pagination implementation. Only works if count param is passed

string
enum

Field to sort by

string
enum

Direction of sort results. asc or desc

Allowed:
string

Search query to perform

searchByFields
array of strings

Application fields to perform search upon. Can be passed as a single string (searchByFields=displayId) or an array of strings (searchByFields=displayId&searchByFields=someField). Can be used in conjunction with searchByVariables param.

searchByFields
searchByVariables
array of strings

Application variables to perform search upon. Can be passed as a single string (searchByVariables=borrower_phone) or an array of strings (searchByVariables=borrower_phone&searchByVariables=borrower_email). Can be used in conjunction with searchByFields param. For table variable use: searchByVariables=assets.0.asset_type.

searchByVariables
filterByVariables
object

Lets filter results by application variables. Use filterByVariables[borrower_name]=james to find by exact value, or filterByVariables[borrower_name]=james&filterByVariables[borrower_name]=john to filter using list of options(james or john). In case of find in range use: filterByVariables[loan_amount][from]=15000&filterByVariables[loan_amount][to]=20000. For address variable use: filterByVariables[borrower_address.city]=New York. For table variable use: filterByVariables[assets_table.0.asset_type]=House`.

sortByFields
object

Lets use sorting by multiple fields. Should be one of: borrowerFullName, displayId, createdAt, updatedAt, status, borrowerPhoneNumber, borrowerEmail, loanAmount, intermediaryName, productName. Example of query param: sortByFields[borrowerFullName]=asc or several fields at the same time sortByFields[borrowerFullName]=asc&sortByFields[loanAmount]=desc. Only works if sortField param is not passed. Can be used in conjunction with sortByVariables param. If sortByVariables and sortByFields are passed both at the same time, sortByVariables is applied first.

sortByVariables
object

Lets use sorting by multiple variables. Usage is similar to sortByFields param: sortByVariables[borrower_email]=asc or several variables at the same time sortByVariables[borrower_email]=asc&sortByVariables[borrower_name]=desc. Similar to sortByFields only works if sortField param is not passed. Can be used in conjunction with sortByFields param. If sortByVariables and sortByFields are passed both at the same time, sortByVariables is applied first.

statusIds
array of strings

Array of application status IDs to filter by

statusIds
labelIds
array of strings

Array of application label IDs to filter by

labelIds
intermediaryIds
array of strings

Array of intermeaidry IDs associated with application

intermediaryIds
teamMemberIds
array of strings

Array of team member IDs

teamMemberIds
date-time

Created at from date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

date-time

Created at to date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

date-time

Updated at from date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

date-time

Updated at to date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

date-time

Approved at from to date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

date-time

Approved at to to date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

date-time

Rejected at from to date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

date-time

Rejected at to to date in ISO 8601 (YYYY-MM-DDTHH:mm:ss.SSSZ) format

string

ID of associated product

productIds
array of strings

Array of product IDs

productIds
string

ID of associated borrower or coborrowers

borrowerIdTargets
array of strings
Defaults to borrower,coborrowers

Target if borrower to perform application search upon. Can be passed as borrower or coborrwoers. By default will search upon borrower and coborrowers

borrowerIdTargets
string

Application display id to filter by

string
Defaults to false

If true filters out approved and rejected applications

string
Defaults to false

If true filters out all the applications apart from approved and rejected

string
Defaults to false

If true filters out all the applications apart from approved

string
Defaults to false

If true filters out all the applications apart from rejected

string
Defaults to false

If true excludes applications in archived status

Headers
string
enum
Defaults to 2024-02-26
Allowed:
Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json